Skip to main content
GET
/
environment
/
{environmentId}
/
terraform
List terraforms
curl --request GET \
  --url https://api.qovery.com/environment/{environmentId}/terraform \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "timeout_sec": 600,
      "auto_deploy": true,
      "icon_uri": "<string>",
      "service_type": "APPLICATION",
      "terraform_variables_source": {
        "tf_var_file_paths": [
          "<string>"
        ],
        "tf_vars": [
          {
            "key": "<string>",
            "value": "<string>",
            "secret": true
          }
        ]
      },
      "engine": "TERRAFORM",
      "backend": {
        "kubernetes": {}
      },
      "provider_version": {
        "explicit_version": "<string>",
        "read_from_terraform_block": true
      },
      "job_resources": {
        "cpu_milli": 123,
        "ram_mib": 123,
        "gpu": 1,
        "storage_gib": 123
      },
      "environment": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "use_cluster_credentials": true,
      "action_extra_arguments": {},
      "updated_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "auto_deploy_config": {
        "auto_deploy": true,
        "terraform_action": "DEFAULT"
      },
      "terraform_files_source": {
        "git": {
          "git_repository": {
            "provider": "BITBUCKET",
            "owner": "John Doe",
            "url": "<string>",
            "name": "simple-node-app",
            "has_access": true,
            "branch": "<string>",
            "root_path": "<string>",
            "deployed_commit_id": "<string>",
            "deployed_commit_date": "2023-11-07T05:31:56Z",
            "deployed_commit_contributor": "<string>",
            "deployed_commit_tag": "v1.0.1",
            "git_token_id": "<string>",
            "git_token_name": "<string>"
          }
        }
      },
      "dockerfile_fragment": {
        "type": "file",
        "path": "/infra/terraform/custom-build.dockerfile"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string<uuid>
required

Response

List terraforms

results
object[]